name: krezus
description: "A very complicated tool that should have been an excel sheet."
publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: '>=3.2.2 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.2
  fl_chart: ^0.67.0
  logging: ^1.2.0
  flutter_bloc: ^8.1.4
  path_provider: ^2.1.1
  equatable: ^2.0.5
  rxdart: ^0.27.7
  file_picker: ^8.0.0+1
  csv: ^6.0.0
  formz: ^0.7.0
  uuid: ^4.3.2
  flutter_typeahead: ^5.2.0
  flex_color_picker: ^3.3.1
  dynamic_color: ^1.6.9

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^3.0.1
  flutter_launcher_icons: "^0.13.1"

flutter:
  fonts:
    - family: NovaMono
      fonts:
        - asset: assets/fonts/NovaMono-Regular.ttf
    - family: digital-7
      fonts:
        - asset: assets/fonts/digital-7 (mono).ttf
    - family: 16Segments
      fonts:
        - asset: assets/fonts/16Segments-Basic.otf
  uses-material-design: true

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/icon/krezus2.png"
  min_sdk_android: 21
  web:
    generate: true
  windows:
    generate: true
  macos:
    generate: true